/*
Theme Name:     Dr-kitchen
Theme URI:
Description:    Astra child theme.
Author:         Me
Author URI:
Template:       astra
Version:        0.1.0
*/


/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Theme Overrides / Global
 * =====================================================================================================================
 */

:root {
	/*--clr-dark-blue-text: #1B1464;*/
	--clr-dark-blue-text: #1D2A4A;
	--clr-light-green: #C3F6E6;

	--clr-black: #000000;
	--clr-white: #ffffff;

	--ff-heading: "Figtree", sans-serif;
	--ff-body: "Figtree", sans-serif;
	--ff-prefix: "Inter", sans-serif;

	--fw-light: 300;
	--fw-regular: 400;
	--fw-medium: 500;
	--fw-semibold: 600;
	--fw-bold: 700;
	--fw-extrabold: 800;
	--fw-black: 900;
}

header.entry-header {
	display: none;
}

.fl-photo-content img {
	border-radius: 1em !important;
}

.ast-article-single figure {
	box-shadow: none !important;
	-webkit-box-shadow: none !important;
}

.entry-content p {
	margin-bottom: 0.8em !important;
}

nav.navigation.post-navigation {
	display: none !important;
}

.single.ast-page-builder-template .entry-header + .entry-content,
.single.ast-page-builder-template .ast-single-entry-banner + .site-content article .entry-content,
.entry-content > * {
	margin-bottom: 0 !important;
}

footer a {
	color: var(--clr-white) !important;
	font-weight: var(--fw-medium) !important;
}

/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Rows / Columns
 * =====================================================================================================================
 */

.kit-row__home-hero {
	background-image: url('/wp-content/uploads/2026/04/Hero-Image.webp') !important;
	background-repeat: no-repeat !important;
	background-size: cover !important;
}

.kit-row__dark-blue {
	background-color: var(--clr-dark-blue-text);
	padding: 1em 0;
}

.kit-row__light-green {
	background-color: var(--clr-light-green);
	padding: 1em 0;
}

.kit-row__white {
	background-color: var(--clr-white);
	padding: 1em 0;
}

.kit-row__cta-gradient {
	background-image: url('/wp-content/uploads/2026/03/kit-bg__cta-gradient-002.avif');
	background-repeat: no-repeat !important;
	background-size: cover !important;
	padding: 1em 0;
}

.kit-row__content-header {
	background-image: url('/wp-content/uploads/2026/03/kit-bg__content-header-002.avif');
	background-repeat: no-repeat !important;
	background-size: cover !important;
	padding: 1em 0;
}


.kit-col__home-grid-01 {
	background-image: url('/wp-content/uploads/2026/03/kit-bg__grid-01-001.avif');
	background-repeat: no-repeat !important;
	background-size: cover !important;
	background-position: top right !important;
	border-radius: 1em !important;
}
.kit-col__home-grid-02 {
	background-image: url('/wp-content/uploads/2026/03/kit-bg__grid-02-001.avif');
	background-repeat: no-repeat !important;
	background-size: cover !important;
	background-position: top right !important;
	border-radius: 1em !important;
}
.kit-col__home-grid-03 {
	background-image: url('/wp-content/uploads/2026/03/kit-bg__grid-03-001.avif');
	background-repeat: no-repeat !important;
	background-size: cover !important;
	background-position: top right !important;
	border-radius: 1em !important;
}
.kit-col__home-grid-04 {
	background-image: url('/wp-content/uploads/2026/03/kit-bg__grid-04-001.avif');
	background-repeat: no-repeat !important;
	background-size: cover !important;
	background-position: top right !important;
	border-radius: 1em !important;
}

.kit-col__dark-blue-rounded {
	background-color: var(--clr-dark-blue-text);
	border-radius: 1em !important;
	padding: 1em 0;
	margin: 1em 1em 2em 1em !important;
}


/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Home
 * =====================================================================================================================
 */

.kit-infobox__home-hero .uabb-infobox-title-prefix {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.25rem !important;
	line-height: calc(1.75 / 1.25) !important;
	color: var(--clr-black) !important;
	margin-bottom: 1.25em !important;
}
.kit-infobox__home-hero .uabb-infobox-title {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-semibold) !important;
	font-size: 3.75rem !important;
	line-height: 110% !important;
	color: var(--clr-dark-blue-text) !important;
}
.kit-infobox__home-hero .uabb-infobox-text p,
.kit-infobox__home-hero .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.5rem !important;
	line-height: calc(2 / 1.5) !important;
	color: var(--clr-dark-blue-text) !important;
}


a.fl-button,
a.uabb-button,
input[type=submit] {
	background-color: var(--clr-dark-blue-text) !important;
	border: 1px solid var(--clr-dark-blue-text) !important;
	color: var(--clr-white) !important;
	border-radius: 1em !important;
	font-size: 1rem !important;
	line-height: calc(1.5 / 1) !important;
	padding: 12px 24px !important;
}
a.fl-button .fl-button-text,
a.uabb-button .uabb-button-text {
	color: var(--clr-white) !important;
	font-size: 1rem !important;
	line-height: calc(1.5 / 1) !important;
}
a.fl-button:hover,
a.uabb-button:hover,
input[type=submit]:hover {
	background-color: transparent !important;
}
a.fl-button:hover .fl-button-text,
a.uabb-button:hover .uabb-button-text,
input[type=submit]:hover {
	color: var(--clr-dark-blue-text) !important;
}


.uabb-adv-accordion-item-active,
.uabb-adv-accordion-button {
	background-color: transparent !important;
}
.uabb-adv-accordion-item {
	border-bottom: 1px solid var(--clr-black) !important;
}


.kit-infobox__callout .uabb-infobox-title-prefix {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.25rem !important;
	line-height: calc(1.75 / 1.25) !important;
	color: var(--clr-white) !important;
	text-transform: uppercase !important;
}
.kit-infobox__callout .uabb-infobox-title {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.875rem !important;
	line-height: calc(2.25 / 1.875) !important;
	color: var(--clr-white) !important;
}
.kit-infobox__callout .uabb-infobox-text p,
.kit-infobox__callout .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.125rem !important;
	line-height: calc(1.75 / 1.125) !important;
	color: var(--clr-white) !important;
}

footer .kit-infobox__callout .uabb-infobox-title-prefix {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1rem !important;
	line-height: calc(1.5 / 1) !important;
	color: var(--clr-white) !important;
	text-transform: uppercase !important;
}
footer .kit-infobox__callout .uabb-infobox-title {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1rem !important;
	line-height: calc(1.5 / 1) !important;
	color: var(--clr-white) !important;
}
footer .kit-infobox__callout .uabb-infobox-text p,
footer .kit-infobox__callout .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 0.875rem !important;
	line-height: calc(1.25 / 0.875) !important;
	color: var(--clr-white) !important;
}
}
footer .kit-infobox__callout .uabb-infobox-text p a,
footer .kit-infobox__callout .uabb-infobox-text li a {
	color: var(--clr-white) !important;
	font-weight: var(--fw-bold) !important;
}


.kit-infobox .uabb-infobox-title-prefix {
	font-family: var(--ff-prefix) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.25rem !important;
	line-height: calc(1.75 / 1.25) !important;
	color: var(--clr-black) !important;
	text-transform: uppercase !important;
	margin-bottom: 2em !important;
}
.kit-infobox .uabb-infobox-title {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-bold) !important;
	font-size: 2.25rem !important;
	line-height: calc(2.5 / 2.25) !important;
	color: var(--clr-dark-blue-text) !important;
}
.kit-infobox .uabb-infobox-text p,
.kit-infobox .uabb-infobox-text li,
.uabb-adv-accordion-content p,
.uabb-adv-accordion-content li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.125rem !important;
	line-height: calc(1.75 / 1.125) !important;
	color: var(--clr-black) !important;
}


.kit-infobox .uabb-infobox-text ol,
.kit-infobox .uabb-infobox-text ul {
	margin: 1em 0 1.5em 1em !important;
}

.kit-infobox .uabb-infobox-text li,
.uabb-adv-accordion-content li {
	margin-bottom: 0.5em !important;
}

.kit-infobox__lower-case .uabb-infobox-title-prefix {
	text-transform: initial !important;
}

.kit-infobox__text-white .uabb-infobox-title-prefix,
.kit-infobox__text-white .uabb-infobox-title,
.kit-infobox__text-white .uabb-infobox-text p,
.kit-infobox__text-white .uabb-infobox-text li {
	color: var(--clr-white) !important;
}




.kit-infobox__grey-bg {
	background-color: rgba(0,0,0, 0.05);
	border-radius: 1em !important;
	width: 95% !important;
}
.kit-infobox__grey-bg .uabb-infobox-title-prefix {
	font-family: var(--ff-prefix) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.25rem !important;
	line-height: calc(1.75 / 1.25) !important;
	color: var(--clr-black) !important;
	text-transform: uppercase !important;
	margin-bottom: 2em !important;
}
.kit-infobox__grey-bg .uabb-infobox-title {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-bold) !important;
	font-size: 1.5rem !important;
	line-height: calc(2 / 1.5) !important;
	color: var(--clr-black) !important;
}
.kit-infobox__grey-bg .uabb-infobox-text p,
.kit-infobox__grey-bg .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.125rem !important;
	line-height: calc(1.75 / 1.125) !important;
	color: var(--clr-black) !important;
}


.kit-infobox__bold-title .uabb-infobox-text p strong,
.kit-infobox__bold-title .uabb-infobox-text li strong {
	font-size: 1.5rem !important;
	line-height: calc(2 / 1.5) !important;
}


.kit-infobox__date .uabb-infobox-title-prefix {
	font-family: var(--ff-prefix) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.25rem !important;
	line-height: calc(1.75 / 1.25) !important;
	color: var(--clr-black) !important;
	text-transform: uppercase !important;
	margin-bottom: 2em !important;
}
.kit-infobox__date .uabb-infobox-title {
	font-family: var(--ff-heading) !important;
	font-weight: var(--fw-bold) !important;
	font-size: 2.25rem !important;
	line-height: calc(2.5 / 2.25) !important;
	color: var(--clr-white) !important;
	letter-spacing: 0.05em !important;
}
.kit-infobox__date .uabb-infobox-text p,
.kit-infobox__date .uabb-infobox-text li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1.125rem !important;
	line-height: calc(1.75 / 1.125) !important;
	color: var(--clr-black) !important;
}



/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Gravity Forms
 * =====================================================================================================================
 */

.gform-theme--foundation .gform_fields {
	row-gap: 1em !important;
}

.uabb-gf-style form .gform_body .gfield_label {
	font-family: var(--ff-body) !important;
	font-size: 1rem !important;
	line-height: calc(1.5 / 1) !important;
}

.gform_body legend {
	font-weight: var(--fw-bold) !important;
}

.uabb-gf-style input[type=text] {
	margin-top: 0 !important;
}



/*
 * ---------------------------------------------------------------------------------------------------------------------
 * Blog post layout
 * =====================================================================================================================
 */

.single-post header.entry-header {
	display: block;
}

.single-post article {
	padding: 0 !important;
}

.kit-blog__header {
	width: 100%;
	/*background-image: url('/wp-content/uploads/2024/12/dlm-bg__header-content-001.avif');*/
	background-color: var(--clr-dark-blue-text) !important;
	background-repeat: no-repeat;
	background-position: bottom right;
	background-size: cover;
	height: 12em;
	margin-top: 0 !important;
}

.kit-blog__title {
	font-size: 3.375rem;
	line-height: 3.875rem;
	margin-bottom: 1em !important;
	color: var(--clr-dark-blue-text) !important;
}


.kit-blog__content h2,
.kit-blog__content h3,
.kit-blog__content h4,
.kit-blog__content h5,
.kit-blog__content h6 {
	font-family: var(--ff-heading);
	font-weight: var(--fw-medium);
	color: var(--clr-dark-blue-text);
	font-size: 2.25rem !important;
	line-height: 2.5rem !important;
	font-optical-sizing: auto;
	margin-bottom: 0.25em !important;
}


.kit-blog__content p,
.kit-blog__content li {
	font-family: var(--ff-body) !important;
	font-weight: var(--fw-medium) !important;
	font-size: 1rem !important;
	line-height: 1.25rem !important;
	color: var(--clr-dark-blue-text) !important;
	font-optical-sizing: auto;
	margin-bottom: 1em !important;
}






/*
 * ---------------------------------------------------------------------------------------------------------------------
 * ---------------------------------------------------------------------------------------------------------------------
 * Media Queries
 * =====================================================================================================================
 * =====================================================================================================================
 */

/* Small phone (~320px) */
@media only screen and (min-width: 20em)
{
	.kit-col__home-grid {
		min-height: 301px;
		margin: 0 2.5% 1.5em 2.5% !important;
		padding-top: 5em !important;
	}

	.kit-infobox__grey-bg {
		margin: 0 1em 1em 1em !important;
		width: 92% !important;
	}

	.kit-col__dark-blue-rounded {
		margin: 0 1em 2em 1em !important;
	}

	.kit-blog__content {
		background-color: var(--clr-white) !important;
		margin: -5em auto 0 auto !important;
		position: relative !important;
	}
}


/* Low DPI Laptop (~1280px) */
@media only screen and (min-width: 80em)
{
	.kit-col__home-grid {
		min-height: 301px;
		width: 22.5% !important;
		margin-right: 2.5% !important;
		padding-top: 5em !important;
		flex: 1 !important;
	}

	.kit-infobox__grey-bg {
		margin: 0 5% 1em 0 !important;
		width: 95% !important;
	}

	.kit-col__dark-blue-rounded {
		margin: 1em 0 !important;
	}

	.kit-blog__content {
		background-color: var(--clr-white) !important;
		max-width: 1236px !important;
		margin: -5em auto 0 auto !important;
		padding: 2em 3em !important;
		position: relative !important;
	}
}

